webpackJsonp([39],{

/***/ 1077:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return VideoPlayPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_do__ = __webpack_require__(505);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_do___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_do__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(168);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_catch__ = __webpack_require__(506);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_catch___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_catch__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_shared_functions_shared_functions__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_dlht_server_dlht_server__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__angular_common_http__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_status_bar__ = __webpack_require__(92);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__components_user_user__ = __webpack_require__(164);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var VideoPlayPage = /** @class */ (function () {
    function VideoPlayPage(http, navCtrl, navParams, func, events, platform, actionSheetCtrl, server, alertCtrl, statusBar, userCtrl, loadingCtrl, app) {
        this.http = http;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.func = func;
        this.events = events;
        this.platform = platform;
        this.actionSheetCtrl = actionSheetCtrl;
        this.server = server;
        this.alertCtrl = alertCtrl;
        this.statusBar = statusBar;
        this.userCtrl = userCtrl;
        this.loadingCtrl = loadingCtrl;
        this.app = app;
        /** 视频播放容器的状态 */
        this.videoContainerState = 'loading';
        this.showNavbar = true;
        this.id = navParams.get("ID");
        this.func.navStackPush(this.navCtrl);
        this.getVideoDetail();
    }
    /**
     * 根据id获取视频详细信息
     * @param id 视频id
     */
    VideoPlayPage.prototype.getVideoDetail = function () {
        var _this = this;
        this.http.get(__WEBPACK_IMPORTED_MODULE_5__providers_shared_functions_shared_functions__["a" /* SharedFunctionsProvider */].server_final + ("txvideo/gettxvideoDetail/" + this.id)).subscribe(function (obs) {
            if (obs.ResultCode == 200) {
                _this.videoUrl = obs.TXVideoModels[0].VIDEO_URL;
                _this.imageUrl = obs.TXVideoModels[0].IMAGE_URL;
                _this.videoTitle = obs.TXVideoModels[0].TITLE;
                _this.videoModel = obs.TXVideoModels[0];
                // 此视频要求有积分才能观看
                if (_this.videoModel.PAY_COIN > 0) {
                    _this.userCtrl.isLogged().then(function (logged) {
                        if (logged) {
                            _this.userCtrl.getUserInfo().then(function (userInfo) {
                                // 用户id
                                _this.userId = userInfo.memberId;
                                _this.http.get(__WEBPACK_IMPORTED_MODULE_5__providers_shared_functions_shared_functions__["a" /* SharedFunctionsProvider */].server_final + ("txvideo/payrecord/" + _this.userId + "/" + _this.id)).subscribe(function (res) {
                                    if (res.ResultCode == 1) {
                                        // 能够播放
                                        _this.videoContainerState = 'canplay';
                                        _this.TCPlayVideoPlay();
                                    }
                                    else {
                                        // 需要支付
                                        _this.videoContainerState = 'needpay';
                                    }
                                }, function () {
                                    // 获取信息失败
                                    _this.videoContainerState = 'fail';
                                });
                            });
                        }
                        else {
                            // 需要登录
                            _this.videoContainerState = 'needloge';
                        }
                    });
                }
                else {
                    // 不需要支付积分
                    _this.videoContainerState = 'canplay';
                    _this.TCPlayVideoPlay();
                }
            }
        }, function () {
            _this.videoContainerState = 'fail';
        });
    };
    /**
     * 取消订阅重复事件
     */
    VideoPlayPage.prototype.ionViewWillUnload = function () {
        console.log('ionViewWillUnload');
        this.events.unsubscribe("discuss:comment");
        this.events.unsubscribe("discuss:tryLogin");
        this.events.unsubscribe('discuss:showImg');
        /**
         * 需要手动销毁播放器
         */
        if (this.playVideo && this.play) {
            this.play.destroy();
        }
    };
    /**
     * 当用户重新登录后，重新确认视频状态
     */
    VideoPlayPage.prototype.ionViewWillEnter = function () {
        if (this.videoContainerState == 'needloge') {
            this.videoContainerState = 'loading';
            this.getVideoDetail();
        }
    };
    /**
     * 截取视频播放地址后缀并调用playVideo播放视频
     */
    VideoPlayPage.prototype.TCPlayVideoPlay = function () {
        var exr = this.videoUrl.substr(this.videoUrl.lastIndexOf('.') + 1, this.videoUrl.length);
        this.playVideo(exr);
    };
    /**
     * 播放视频/直播
     * @param videoType 视频类型，`m3u8` 代表直播，`mp4` 或 `flv` 等类型用于播放视频，详细参见腾讯Tcplayer文档
     */
    VideoPlayPage.prototype.playVideo = function (videoType) {
        var _this = this;
        var option = {
            autoplay: false,
            x5_type: 'h5',
            x5_fullscreen: false,
            controls: 'default',
            coverpic: this.imageUrl,
        };
        option[videoType] = this.videoUrl;
        if (videoType == 'm3u8') {
            option['live'] = true;
        }
        this.play = new TcPlayer("id_video_container", option);
        var observer = new MutationObserver(function (mutations) {
            mutations.forEach(function (v) {
                var _target = v.target.classList.contains('show');
                _this.showNavbar = _target;
            });
        });
        observer.observe(this.play.panel.el, {
            attributes: true,
            attributeFilter: ['class']
        });
    };
    VideoPlayPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        // 订阅讨论 或 讨论登录
        this.events.subscribe("discuss:comment", function () {
            _this.navCtrl.push('DiscussEditPage', {
                themId: _this.id
            });
        });
        this.events.subscribe("discuss:tryLogin", function () {
            _this.navCtrl.push('LoginUsingPwdPage', {
                backPage: _this.navCtrl.getActive().name
            });
        });
        this.events.subscribe('tabs:newPage', function (page) {
            _this.navCtrl.push(page, {
                ifPop: true,
            });
        });
        // 订阅查看图片
        this.events.subscribe('discuss:showImg', function (x) {
            _this.showImg(x);
        });
    };
    VideoPlayPage.prototype.back = function () {
        this.func.navStackPop();
    };
    VideoPlayPage.prototype.showImg = function (src) {
        this.navCtrl.push('ImgSlidePage', {
            passedParms: src,
            index: 1
        });
    };
    /**
     * 打开微信分享选择页面
     */
    VideoPlayPage.prototype.share = function () {
        var _this = this;
        var actionSheet = this.actionSheetCtrl.create({
            title: '分享',
            buttons: [
                {
                    text: '朋友圈',
                    handler: function () {
                        _this._wechatShare(Wechat.Scene.TIMELINE);
                    }
                },
                {
                    text: '微信好友',
                    handler: function () {
                        _this._wechatShare(Wechat.Scene.SESSION);
                    }
                },
                {
                    text: '收藏',
                    handler: function () {
                        _this._wechatShare(Wechat.Scene.FAVORITE);
                    }
                },
                {
                    text: '取消',
                    role: 'cancel'
                }
            ]
        });
        actionSheet.present();
    };
    /**
     * 支付确认
     */
    VideoPlayPage.prototype.payConfirm = function () {
        var _this = this;
        var dialog = this.alertCtrl.create({
            title: '支付',
            message: "\u60A8\u786E\u5B9A\u652F\u4ED8" + this.videoModel.PAY_COIN + "\u79EF\u5206\u6765\u89C2\u770B\u672C\u89C6\u9891\u5417\uFF1F",
            buttons: [
                {
                    text: '取消',
                    role: 'cancel'
                },
                {
                    text: '确定',
                    handler: function () {
                        _this.pay();
                    }
                }
            ]
        });
        dialog.present();
    };
    /**
     * 支付
     */
    VideoPlayPage.prototype.pay = function () {
        var _this = this;
        var loading = this.loadingCtrl.create({
            content: '支付中'
        });
        loading.present();
        this.http.post(__WEBPACK_IMPORTED_MODULE_5__providers_shared_functions_shared_functions__["a" /* SharedFunctionsProvider */].server_final + 'txvideo/pay', {
            userId: this.userId,
            videoId: this.id
        }).subscribe(function (res) {
            loading.dismiss();
            if (res.ResultCode != 200) {
                var alert_1 = _this.alertCtrl.create({ title: '支付失败', message: res.ResultMsg });
                alert_1.present();
            }
            else {
                // 重新加载
                _this.videoContainerState = 'loading';
                _this.getVideoDetail();
            }
        });
    };
    /**
     * 登录
     */
    VideoPlayPage.prototype.login = function () {
        this.app.getRootNav().push('LoginUsingPwdPage');
    };
    /**
     * 分享到微信
     * // 为了应急2019-07-11的会议分享所做  请不要发布 如需发布 需修改title等内容
     * @param type 分享类型
     * @param desc 内容描述
     */
    VideoPlayPage.prototype._wechatShare = function (type) {
        var desc = "";
        var exr = this.videoUrl.substr(this.videoUrl.lastIndexOf('.') + 1, this.videoUrl.length);
        desc = exr == 'm3u8' ? '  各位亲爱的网友们大家好，欢迎收看胸科之窗平台网络直播的结核病...' : '邀请您收看视频讲座';
        var _title = exr == 'm3u8' ? ' 直播通知 | ' + this.videoTitle : this.videoTitle;
        Wechat.share({
            message: {
                title: _title,
                description: desc,
                thumb: this.imageUrl,
                media: {
                    type: Wechat.Type.WEBPAGE,
                    webpageUrl: "http://live.tbwindow.com/default/list"
                }
            },
            scene: type
        }, function () {
        }, function () {
        });
    };
    VideoPlayPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-video-play',template:/*ion-inline-start:"H:\Code\immapp\src\pages\video-play\video-play.html"*/'<ion-content no-bounce>\n\n  <div class="video_container">\n\n    <div class="navbar" [ngClass]="{\'show\':showNavbar}">\n\n      <ion-navbar>\n\n        <button ion-button icon-only menuToggle>\n\n          <ion-icon name="back"></ion-icon>\n\n        </button>\n\n\n\n        <ion-buttons end>\n\n          <button ion-button icon-only (click)="share()">\n\n            <ion-icon name="share-alt"></ion-icon>\n\n          </button>\n\n        </ion-buttons>\n\n      </ion-navbar>\n\n    </div>\n\n\n\n    <div id="id_video_container" style="width:100%; height:40%;">\n\n      <div [hidden]="videoContainerState != \'fail\'" class="video_container_msg video_container_fail">\n\n        <p>获取视频信息失败，请稍后重试</p>\n\n      </div>\n\n      <div [hidden]="videoContainerState != \'needloge\'" class="video_container_msg video_container_needloge">\n\n        <p>请先登录</p>\n\n        <button ion-button (click)="login()">立即登录</button>\n\n      </div>\n\n      <div [hidden]="videoContainerState != \'needpay\'" class="video_container_msg video_container_needpay">\n\n        <p>本视频需要支付{{videoModel?.PAY_COIN}}积分才能观看</p>\n\n        <p class="container_subtitle">支付后即可永久观看本视频</p>\n\n        <button ion-button (click)="payConfirm()">立即支付</button>\n\n      </div>\n\n      <div [hidden]="videoContainerState != \'loading\'" class="video_container_msg video_container_loading">\n\n        <ion-spinner></ion-spinner>\n\n        <span class="video_container_span_msg">精彩即将开始</span>\n\n      </div>\n\n    </div>\n\n\n\n    <div class="scroll_content">\n\n      <div class="introduce">\n\n        <div class="top">\n\n          <div class="thumb">\n\n            <img [src]="imageUrl" />\n\n          </div>\n\n\n\n          <div class="info">\n\n            <p class="info-title">{{videoModel?.TITLE}}</p>\n\n            <p class="info-desc">播放：{{videoModel?.HOT}}</p>\n\n          </div>\n\n        </div>\n\n      </div>\n\n\n\n      <p class="content_desc">\n\n        {{videoModel?.SUB_TITLE}}\n\n      </p>\n\n\n\n      <p class="content_desc">\n\n        评论\n\n      </p>\n\n\n\n      <div style="position: relative;flex:1;padding-top: 10px;">\n\n        <ion-nav root="DiscussPage" [rootParams]="{id:this.id}"></ion-nav>\n\n      </div>\n\n    </div>\n\n  </div>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"H:\Code\immapp\src\pages\video-play\video-play.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_7__angular_common_http__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["u" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_5__providers_shared_functions_shared_functions__["a" /* SharedFunctionsProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["w" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */],
            __WEBPACK_IMPORTED_MODULE_6__providers_dlht_server_dlht_server__["a" /* DlhtServerProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_8__ionic_native_status_bar__["a" /* StatusBar */],
            __WEBPACK_IMPORTED_MODULE_9__components_user_user__["a" /* UserComponent */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */]])
    ], VideoPlayPage);
    return VideoPlayPage;
}());

//# sourceMappingURL=video-play.js.map

/***/ }),

/***/ 931:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "VideoPlayPageModule", function() { return VideoPlayPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__video_play__ = __webpack_require__(1077);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_shared_module__ = __webpack_require__(946);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var VideoPlayPageModule = /** @class */ (function () {
    function VideoPlayPageModule() {
    }
    VideoPlayPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__video_play__["a" /* VideoPlayPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__video_play__["a" /* VideoPlayPage */]),
                __WEBPACK_IMPORTED_MODULE_3__app_shared_module__["a" /* SharedModule */]
            ],
        })
    ], VideoPlayPageModule);
    return VideoPlayPageModule;
}());

//# sourceMappingURL=video-play.module.js.map

/***/ }),

/***/ 937:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PipesModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__salf_html_salf_html__ = __webpack_require__(938);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__convert_describe_convert_describe__ = __webpack_require__(939);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__sex_transform_sex_transform__ = __webpack_require__(940);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__RongIM_emoji_pipe__ = __webpack_require__(941);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__RongIM_voicLength_directive__ = __webpack_require__(942);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__RongIM_voicDuration__ = __webpack_require__(943);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__RongIM_unreadCount_pipe__ = __webpack_require__(944);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__doctors_docktorAvator_pipe__ = __webpack_require__(945);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};









var PipesModule = /** @class */ (function () {
    function PipesModule() {
    }
    PipesModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_1__salf_html_salf_html__["a" /* SalfHtmlPipe */],
                __WEBPACK_IMPORTED_MODULE_2__convert_describe_convert_describe__["a" /* ConvertDescribePipe */],
                __WEBPACK_IMPORTED_MODULE_3__sex_transform_sex_transform__["a" /* SexTransformPipe */],
                __WEBPACK_IMPORTED_MODULE_4__RongIM_emoji_pipe__["a" /* EmojiConvertToHtmlPipeLine */],
                __WEBPACK_IMPORTED_MODULE_5__RongIM_voicLength_directive__["a" /* VoicLengthDirective */],
                __WEBPACK_IMPORTED_MODULE_6__RongIM_voicDuration__["a" /* VoicDurationPipe */],
                __WEBPACK_IMPORTED_MODULE_7__RongIM_unreadCount_pipe__["a" /* UnreadCountPipe */],
                __WEBPACK_IMPORTED_MODULE_8__doctors_docktorAvator_pipe__["a" /* DoctorAvatorsPipe */]
            ],
            imports: [],
            exports: [
                __WEBPACK_IMPORTED_MODULE_7__RongIM_unreadCount_pipe__["a" /* UnreadCountPipe */],
                __WEBPACK_IMPORTED_MODULE_1__salf_html_salf_html__["a" /* SalfHtmlPipe */],
                __WEBPACK_IMPORTED_MODULE_2__convert_describe_convert_describe__["a" /* ConvertDescribePipe */],
                __WEBPACK_IMPORTED_MODULE_3__sex_transform_sex_transform__["a" /* SexTransformPipe */],
                __WEBPACK_IMPORTED_MODULE_4__RongIM_emoji_pipe__["a" /* EmojiConvertToHtmlPipeLine */],
                __WEBPACK_IMPORTED_MODULE_5__RongIM_voicLength_directive__["a" /* VoicLengthDirective */],
                __WEBPACK_IMPORTED_MODULE_6__RongIM_voicDuration__["a" /* VoicDurationPipe */],
                __WEBPACK_IMPORTED_MODULE_8__doctors_docktorAvator_pipe__["a" /* DoctorAvatorsPipe */]
            ]
        })
    ], PipesModule);
    return PipesModule;
}());

//# sourceMappingURL=pipes.module.js.map

/***/ }),

/***/ 938:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SalfHtmlPipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * Created by 3/15/2019 王峰
 * 由于innerHtml 指令无法加载html样式,使用该管道进行转换
 */
var SalfHtmlPipe = /** @class */ (function () {
    function SalfHtmlPipe(domSanitizer) {
        this.domSanitizer = domSanitizer;
    }
    SalfHtmlPipe.prototype.transform = function (value) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        return this.domSanitizer.bypassSecurityTrustHtml(value);
    };
    SalfHtmlPipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Pipe"])({
            name: 'salfHtml',
            pure: true
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["c" /* DomSanitizer */]])
    ], SalfHtmlPipe);
    return SalfHtmlPipe;
}());

//# sourceMappingURL=salf-html.js.map

/***/ }),

/***/ 939:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ConvertDescribePipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

/**
 * Generated class for the ConvertDescribePipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
var ConvertDescribePipe = /** @class */ (function () {
    function ConvertDescribePipe() {
    }
    /**
     * Takes a value and makes it lowercase.
     */
    ConvertDescribePipe.prototype.transform = function (value) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        if (!value) {
            return null;
        }
        return value.trim().split(/\s+|，|,/);
    };
    ConvertDescribePipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({
            name: 'convertDescribe',
        })
    ], ConvertDescribePipe);
    return ConvertDescribePipe;
}());

//# sourceMappingURL=convert-describe.js.map

/***/ }),

/***/ 940:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SexTransformPipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

var SexTransformPipe = /** @class */ (function () {
    function SexTransformPipe() {
    }
    SexTransformPipe.prototype.transform = function (value) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        if (value == "1") {
            return "男";
        }
        if (value == "2") {
            return "女";
        }
        return "未知";
    };
    SexTransformPipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({
            name: 'sexTransform',
        })
    ], SexTransformPipe);
    return SexTransformPipe;
}());

//# sourceMappingURL=sex-transform.js.map

/***/ }),

/***/ 941:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EmojiConvertToHtmlPipeLine; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * Created by 2/8/2020 王峰
 */
var EmojiConvertToHtmlPipeLine = /** @class */ (function () {
    function EmojiConvertToHtmlPipeLine(domSanitizer) {
        this.domSanitizer = domSanitizer;
    }
    EmojiConvertToHtmlPipeLine.prototype.transform = function (value) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        try {
            var v = RongIMLib.RongIMEmoji.emojiToHTML(value);
            return this.domSanitizer.bypassSecurityTrustHtml(v);
        }
        catch (_a) {
        }
    };
    EmojiConvertToHtmlPipeLine = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Pipe"])({
            name: 'emoji',
            pure: true
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["c" /* DomSanitizer */]])
    ], EmojiConvertToHtmlPipeLine);
    return EmojiConvertToHtmlPipeLine;
}());

//# sourceMappingURL=emoji.pipe.js.map

/***/ }),

/***/ 942:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return VoicLengthDirective; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var VoicLengthDirective = /** @class */ (function () {
    function VoicLengthDirective(el) {
        this.el = el;
    }
    VoicLengthDirective.prototype.ngAfterViewInit = function () {
    };
    Object.defineProperty(VoicLengthDirective.prototype, "voicLength", {
        //参数 setter
        set: function (length) {
            this.setLength(Number(length));
        },
        enumerable: true,
        configurable: true
    });
    ;
    VoicLengthDirective.prototype.setLength = function (length) {
        var finalLength = (length - 1) * 2.7 + 40;
        if (finalLength < 55) {
            finalLength = 55;
        }
        if (finalLength > 200) {
            finalLength = 200;
        }
        this.el.nativeElement.style.width = finalLength + 'px';
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])('voicLength'),
        __metadata("design:type", String),
        __metadata("design:paramtypes", [String])
    ], VoicLengthDirective.prototype, "voicLength", null);
    VoicLengthDirective = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Directive"])({
            selector: '[voicLength]'
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"]])
    ], VoicLengthDirective);
    return VoicLengthDirective;
}());

//# sourceMappingURL=voicLength.directive.js.map

/***/ }),

/***/ 943:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return VoicDurationPipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

/**
 * Created by 2/8/2020 王峰
 */
var VoicDurationPipe = /** @class */ (function () {
    function VoicDurationPipe() {
    }
    VoicDurationPipe.prototype.transform = function (value) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        try {
            var v = Number(value);
            return Math.round(v);
        }
        catch (_a) {
            return value;
        }
    };
    VoicDurationPipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({
            name: 'duration',
            pure: true
        }),
        __metadata("design:paramtypes", [])
    ], VoicDurationPipe);
    return VoicDurationPipe;
}());

//# sourceMappingURL=voicDuration.js.map

/***/ }),

/***/ 944:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UnreadCountPipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

/**
 * Created by 2/8/2020 王峰
 */
var UnreadCountPipe = /** @class */ (function () {
    function UnreadCountPipe() {
    }
    UnreadCountPipe.prototype.transform = function (value) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        try {
            var count = parseInt(value);
            if (count > 99) {
                return '99+';
            }
            if (count === 0) {
                return '';
            }
            return value + '';
        }
        catch (_a) {
            return '';
        }
    };
    UnreadCountPipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({
            name: 'unreadcount',
            pure: true
        }),
        __metadata("design:paramtypes", [])
    ], UnreadCountPipe);
    return UnreadCountPipe;
}());

//# sourceMappingURL=unreadCount.pipe.js.map

/***/ }),

/***/ 945:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DoctorAvatorsPipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

var DoctorAvatorsPipe = /** @class */ (function () {
    function DoctorAvatorsPipe() {
    }
    DoctorAvatorsPipe.prototype.transform = function (value) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        if (args.length > 0) {
            if (args[0] === 'avator') {
                return this.transAvator(value);
            }
            else if (args[0] === 'desc') {
                return this.transDescription(value);
            }
            else if (args[0] === 'filter') {
                return this.transFilter(value, args[1]);
            }
        }
        else {
            return this.transAvator(value);
        }
    };
    DoctorAvatorsPipe.prototype.transDescription = function (value) {
        if (!value)
            value = [];
        var array = Array.from(value);
        array = array.filter(function (s) { return s.checked; });
        if (array.length === 0) {
            return '选择会诊医生';
        }
        else {
            var more = '';
            var names = array[0].name;
            if (array.length >= 2) {
                more = "\u7B49" + array.length + "\u4F4D";
            }
            var result = "\u7533\u8BF7 " + names + " " + more + " \u533B\u751F\u4F1A\u8BCA";
            return result;
        }
    };
    DoctorAvatorsPipe.prototype.transAvator = function (value) {
        if (!value)
            value = [];
        var array = Array.from(value);
        array = array.filter(function (s) { return s.checked; });
        if (array.length == 0) {
            return [{
                    avator: './assets/img/wh.png'
                }];
        }
        else {
            return array.slice(0, 3);
        }
    };
    DoctorAvatorsPipe.prototype.transFilter = function (value, key) {
        if (!value)
            return [];
        var array = value.source;
        return array.filter(function (s) { return s.name.indexOf(key) > -1; });
    };
    DoctorAvatorsPipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({
            name: 'avators',
        })
    ], DoctorAvatorsPipe);
    return DoctorAvatorsPipe;
}());

//# sourceMappingURL=docktorAvator.pipe.js.map

/***/ }),

/***/ 946:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SharedModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic2_super_tabs__ = __webpack_require__(503);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_dlht_server_dlht_server__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pipes_pipes_module__ = __webpack_require__(937);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var SharedModule = /** @class */ (function () {
    function SharedModule() {
    }
    SharedModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            exports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic2_super_tabs__["b" /* SuperTabsModule */],
                __WEBPACK_IMPORTED_MODULE_4__pipes_pipes_module__["a" /* PipesModule */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_2__providers_dlht_server_dlht_server__["a" /* DlhtServerProvider */],
                __WEBPACK_IMPORTED_MODULE_3__angular_common__["DatePipe"],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_4__pipes_pipes_module__["a" /* PipesModule */]
            ]
        })
    ], SharedModule);
    return SharedModule;
}());

//# sourceMappingURL=shared.module.js.map

/***/ })

});
//# sourceMappingURL=39.js.map